# DomainColoring.jl: Smooth Complex Plotting

Welcome to the documentation of the `DomainColoring.jl` package, a small
collection of various ways to plot complex functions, built on
[Makie](https://makie.org).

```@raw html
<div align="center">
  <img src="assets/logo.png" width=300 />
</div>
```

The plots implemented here are inspired by the wonderful book by
Wegert[^1], yet using a smooth (technically analytic) curve
through CIE L\*a\*b\* space, yielding a more perceptually uniform
representation of the phase (see [Phase Wheel](@ref)).

[^1]:
    Wegert, Elias. Visual Complex Functions: An Introduction with Phase
    Portraits. Birkhäuser Basel, 2012.

